## NAME

d.grid - Overlays a user-specified grid in the active display frame on the graphics monitor.

## KEYWORDS

display

## SYNOPSIS

d.grid
d.grid help
d.grid [-gwnbt] size=value [color=string] [origin=easting,northing] [bordercolor=string]

### Flags:

-g
  Draw geographic grid (referenced to current ellipsoid)
-w
  Draw geographic grid (referenced to WGS84 ellipsoid)
-n
  Disable grid drawing
-b
  Disable border drawing
-t
  Disable text drawing

### Parameters:

size=value
  Size of grid to be drawn
color=string
  Sets the grid color, either a standard GRASS color or R:G:B triplet (separated by colons)
  Default: gray
origin=easting,northing
  Lines of the grid pass through this coordinate
  Default: 0,0
bordercolor=string
  Sets the border color, either a standard GRASS color or R:G:B triplet
  Default: brown

## DESCRIPTION

d.grid overlays a grid of user-defined size and color in the active display frame on the graphics monitor. The grid can be created as a standard rectangular grid or a geographic grid. The grid will overlay, not overwrite, the contents of the active display frame.

d.grid can be run non-interactively or interactively. If the user specifies the grid size and (optionally) the grid color on the command line the program will run non-interactively; if no grid color is given the default will be used. Alternately, the user may simply type d.grid on the command line; in this case, the program will prompt the user for parameter values using the standard GRASS graphical user interface.

## NOTES

d.grid will not erase grids already displayed in the active graphics display frame by previous invocations of d.grid; multiple invocations of d.grid will therefore result in the drawing of multiple grids inside the active graphics frame. (A command like d.erase, which erases the entire contents of the active display frame, must be run to erase previously drawn grids from the display frame.)

If the user provides a -g flag a geographic (projected) grid will be drawn. With the -g flag the size argument accepts both decimal degrees and colon separated ddd:mm:ss coordinates (eg. `00:30:00` for half of a degree).

A geographic grid cannot be drawn for a latitude/longitude or XY projection.

Colors may be standard named GRASS colors (red, green, aqua, etc.) or a numerical R:G:B triplet, where component values range from 0-255.

The grid drawing may be turned off by using the -n flag.
The border drawing may be turned off by using the -b flag.
The coordinate text may be turned off by using the -t flag.

## EXAMPLES

To draw a red geographic grid with 30 minute grid spacing run either of the following:

      d.grid -g size=00:30:00 color=red

or

      d.grid -g size=0.5 color=255:0:0

To draw a blue standard rectangular grid at a 500 (meter) spacing run the following:

      d.grid size=500 color=blue

## SEE ALSO

d.barscale
d.legend
d.geodesic
d.rhumbline
d.erase
d.frame
d.rast

## AUTHORS

James Westervelt, U.S. Army Construction Engineering Research Laboratory
Geogrid support: Bob Covill
Border support: Markus Neteler
Text and RGB support: Hamish Bowman

Last changed: $Date: 2005/10/25 12:51:45 $

Main index - display index - Full index